This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 166674 - xm vbd-refresh has no effect in xenU env when partition was lvm-extended in dom0
xm vbd-refresh has no effect in xenU env when partition was lvm-extended in dom0
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Stephen Tweedie
:
Depends On:
Blocks: 179629
  Show dependency treegraph
 
Reported: 2005-08-24 11:19 EDT by Heinz Deinhart
Modified: 2008-02-26 17:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 17:55:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
my xen config on one test host (143 bytes, text/plain)
2005-08-24 11:23 EDT, Heinz Deinhart
no flags Details

  None (edit)
Description Heinz Deinhart 2005-08-24 11:19:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
When xen is used together with LVM (in dom0) and its partition is resized (in dom0) and xm vbd-refresh is called, then the unprivileged domain should recognize the change without the need of beeing restartet. But i don't get this working. 


Version-Release number of selected component (if applicable):
xen-2-20050522

How reproducible:
Always

Steps to Reproduce:
1. install fc4, update or not (does not matter)
2. set up test xen env like that: lvcreate -L2g -n xentest vg0; mount /dev/vg0/xentest /mnt/tmp; cp -xa / /mnt/tmp; cp -a /dev/* /mnt/tmp/dev
3. small modifications like in: /mnt/tmp/etc/fstab
4. create simple xen config file
5. start domain with xm
6. in domain launch: sfdisk -s /dev/hda1
7. in dom0: lvextend -L+200m /dev/vg0/xentest; xm vbd-refresh <x> <y>
8. in domain launch: sfdisk -s /dev/hda1

Actual Results:  both results of sfdisk were the same.
ext2online tells me that the device has same size
after domain was restarted the new size is found by sfdisk and ext2online works

Expected Results:  IMHO the new size of the partition should be seen by domain as soon as vbd-refresh is called (in step 6)

Additional info:

I don't know if this is a bug in fedora or just not yet implemented .. but at least i found one webpage with makes me belief this should work:
http://www.cix.co.uk/~tykepenguin/xencluster.html
Comment 1 Heinz Deinhart 2005-08-24 11:23:24 EDT
Created attachment 118072 [details]
my xen config on one test host
Comment 2 Thomas Kofler 2005-10-05 04:06:01 EDT
I can confirm the bug, we have exact the same behaviour with our xen 
configuration:

xen-2-20050522

domU doesn't recognize the on-the-fly resize of the partition, although the 
command "xm vbd-refresh domainname vbdid" was executed

I only found one additional reference of this command:

http://groups.google.at/group/xen-devel-
archive/browse_thread/thread/f92e8edbb2eca3c1/7afa369c7aae4e0f?lnk=st&q=%
22xm+vbd-refresh%22&rnum=1&hl=de#7afa369c7aae4e0f
Comment 3 Christian Iseli 2007-01-22 06:43:28 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Chris Lalancette 2008-02-26 17:55:07 EST
This report targets FC4, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.